Subject: ICS IDE ...

From: "S. Richard Grint" <[email-masked]>
Date: Tue, 14 Oct 1997 14:33:15 +0100 (BST)

Hi,

I`ve been trying to get armlinux running on my A3000, but I`ve 
encountered a problem.  The ICS IDE driver (for 2.0.30) crashes during 
initialisation.  The crash occurs when the kernel is trying to write a 
byte to a hardware register with  outb(unsigned char c,int address) in 
linux/arch/arm/lib/io.S

The function is entered as  outb(&A0,&1F6) which I think causes ?&30107D8=&A0
 or its equiv at least.  Isn`t that address mapped to a location within 
the RISC OS ROMS?

Anyone got any ideas of the problem?

Rich